package com.ruoyi.kaohe.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 考核评测对象 kh_pingce
 * 
 * @author hs
 * @date 2025-06-17
 */
public class KhPingce extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 考核名称 */
    @Excel(name = "考核名称")
    private String pcTitle;

    /** 考核描述 */
    @Excel(name = "考核描述")
    private String pcDescription;

    /** 模板id */
    @Excel(name = "模板id")
    private Long templateId;

    /** 模板名称 */
    @Excel(name = "模板名称")
    private String templateName;


    /** 被考核对象类型(0部门1职工) */
    @Excel(name = "被考核对象类型(0部门1职工)")
    private String bkhdxType;

    /** 评测结果id */
    @Excel(name = "评测结果id")
    private Long pcResultId;

    /** 评测状态(0 开始 1 进行中 2 完成) */
    @Excel(name = "评测状态(0 开始 1 进行中 2 完成)")
    private String state;

    public String getBkhdxType() {
        return bkhdxType;
    }

    public void setBkhdxType(String bkhdxType) {
        this.bkhdxType = bkhdxType;
    }

    private List<Bkhdx> pcBkhdxs;

    public List<Bkhdx> getPcBkhdxs() {
        return pcBkhdxs;
    }

    public void setPcBkhdxs(List<Bkhdx> pcBkhdxs) {
        this.pcBkhdxs = pcBkhdxs;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setPcTitle(String pcTitle) 
    {
        this.pcTitle = pcTitle;
    }

    public String getPcTitle() 
    {
        return pcTitle;
    }

    public void setPcDescription(String pcDescription) 
    {
        this.pcDescription = pcDescription;
    }

    public String getPcDescription() 
    {
        return pcDescription;
    }

    public void setTemplateId(Long templateId) 
    {
        this.templateId = templateId;
    }

    public Long getTemplateId() 
    {
        return templateId;
    }

    public void setTemplateName(String templateName) 
    {
        this.templateName = templateName;
    }

    public String getTemplateName() 
    {
        return templateName;
    }

    public void setPcResultId(Long pcResultId) 
    {
        this.pcResultId = pcResultId;
    }

    public Long getPcResultId() 
    {
        return pcResultId;
    }

    public void setState(String state) 
    {
        this.state = state;
    }

    public String getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("pcTitle", getPcTitle())
                .append("pcDescription", getPcDescription())
                .append("templateId", getTemplateId())
                .append("templateName", getTemplateName())
                .append("bkhdxType", getBkhdxType())
                .append("pcResultId", getPcResultId())
                .append("state", getState())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
